Skip to content
cascadehook.docs
API referenceEndpoints

Delete an endpoint

Destructive. Requires explicit human approval.

DELETE
/v1/endpoints/{endpoint_id}

Destructive. Requires explicit human approval.

Authorization

projectAPIKey
headerAuthorizationBearer <ch_dev_ or ch_live_ project API key>

Read CASCADEHOOK_API_KEY from the local environment. Never print keys or headers. Scope is the project selected when the key was created.

Path Parameters

endpoint_id*string
Formatuuid

Response Body

Endpoint disabled and marked deleted.

Example Request
curl -X DELETE 'https://api.cascadehook.com/v1/endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty